Search Object Records

POST https://services.leadconnectorhq.com/objects/{schemaKey}/records/search

Supported Objects are custom objects and standard objects like "business". Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-379336

Request

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123
schemaKey
string
required

The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.

Example:
custom_objects.pet or business.email (for company's email)
Authorization
string
required

Access Token

Example:
Bearer 9c48df2694a849b6089f9d0d3513efe
Version
string
required

API Version

Allowed value:
2021-07-28
locationId
string
required

Location Id

Example:
ve9EPM428h8vShlRW1KT
page
number
required

Page

Example:
1
pageLimit
number
required

Page Limit

Example:
10
query
string
required

Pass this query parameter to search using your searchable properties. For example, if you have a custom object called “Pets” and have configured “name” as a searchable property, you can pass name:Buddy to search for pets with the name “Buddy.”

Example:
Buddy
searchAfter
array[string]
required
Example:
["sx6wyHhbFdRXh302Lunr","sx6wyHhbFdRXh302Lunr"]

Responses

Successful response

records
array[object]

Records

id
string
required

id of the record

Example:
661c06b4ffde146bdb469442
owner
array[string]
required

Owner (User's id). Limited to 1 for now . Only supported for custom objects for now

Example:
["sx6wyHhbFdRXh302Lunr"]
followers
array[string]
required

Follower (User's ids). Limited to 10 and supported for custom objects for now

Example:
["sx6wyHhbFdRXh302Lunr","v5cEPM428h8vShlRW1KT"]
properties
string
required

Properties of the record

Example:
{"customer_number":1424,"ticket_name":"Customer not able login","phone_number":"+917000000000","money":{"currency":"default","value":100},"type_of_ticket":"doubt","section_of_app":["contacts","smartlist"],"recieved_on":"2024-07-11","my_files":[{"url":"---url_of_file---"}],"my_textbox_list.option_a":"Value 1","my_textbox_list.option_b":"Value 2"}
createdAt
string<date-time>
required

Date and time when the object was added

updatedAt
string<date-time>
required

Date and time when the object was last updated

locationId
string
required

Location Id

Example:
ve9EPM428h8vShlRW1KT
objectId
string
required

ObjectId Id

Example:
6d6f6e676f5f6576656e7473
objectKey
string
required

ObjectId key

Example:
custom_objects.pet
createdBy
object
required

Created By Meta

lastUpdatedBy
object
required

Last Updated By Meta

searchAfter
array[number]
required
Example:
[1738683828372,"67a235b49b289431bcf657f8"]
total
number
required

Total Number of records

Example:
20

Bad Request

statusCode
number
Example:
400
message
string
Example:
Bad Request

Unauthorized

statusCode
number
Example:
401
message
string
Example:
Invalid token: access token is invalid
error
string
Example:
Unauthorized